<?php

namespace WPDesk\ShopMagic\DataSharing;

/**
 * Can provide list of items and render them one by one.
 *
 * @package WPDesk\ShopMagic\DataSharing
 */
interface RenderableItemProvider {
	/**
	 * Can provide some unknown items that can be iterated.
	 *
	 * @return \Iterator
	 */
	public function get_items(): \Iterator;

	/**
	 * Can render items generated by get_items
	 *
	 * @param object $item
	 *
	 * @return string
	 */
	public function render_item( $item ): string;
}
